import { Awaitable } from "@canvas-js/interfaces";
export declare function getAncestors(txn: {
    get(key: Uint8Array): Awaitable<Uint8Array | null>;
}, key: Uint8Array, atOrBefore: number, results?: Set<string>, visited?: Set<string>): Promise<void>;
export declare function isAncestor(ancestors: {
    get: (key: Uint8Array) => Awaitable<Uint8Array | null>;
}, key: Uint8Array, ancestorKey: Uint8Array, visited?: Set<string>): Promise<boolean>;
export declare function indexAncestors(ancestors: {
    get: (key: Uint8Array) => Awaitable<Uint8Array | null>;
    set: (key: Uint8Array, value: Uint8Array) => Awaitable<void>;
}, key: Uint8Array, parentKeys: Uint8Array[]): Promise<void>;
